this.name			= "bweed-kestrelfalcon-kestrel";
this.author			= "Kaks";
this.copyright		= "Creative Commons: attribution, non-commercial, sharealike.";
this.description	= "Ship's internal systems";
this.version		= "1.0";

this.subpleas={
	'bweed-kestrel-lengine':'[bweed-engine-plea]','bweed-kestrel-rengine':'[bweed-engine-plea]',
	'bweed-kestrel-lpylon':'[bweed-pylon-plea]','bweed-kestrel-rpylon':'[bweed-pylon-plea]',
	'bweed-kestrel-lwing':'[bweed-wing-plea]','bweed-kestrel-rwing':'[bweed-wing-plea]'};

this.shipSpawned = this.shipWillLaunchFromStation = function(){
	var e=this.ship.subEntities;
	e.items= function(){for (var i = 0; i < this.length; i++) yield this[i];}
	for (var i in e.items()) {
		i.script.plea = this.subpleas[i.primaryRole];
		i.script.shipDied = function(){
			//all instances of 'this' inside this function refer to the subentity script
			var str=this.ship.primaryRole;
			this.ship.owner.commsMessage(expandDescription(this.plea));
			if(str.indexOf('engine')>0)
				this.ship.owner.spawn('explosive_shrapnel', Math.round(Math.random()+1));
		};
	}
}

this.shipDied = function(){

	this.ship.commsMessage(expandDescription('[bweed-kestrel-plea]'));
	this.ship.spawn('explosive_shrapnel', 4);

}


